#!/bin/bash

# random delay
sleep $[ ( $RANDOM % {{ backup_master_delay }} ) + 1 ]s

LANG=en_US.utf8

day_name=$(date "+%A")

# retrieve true date of the file
file_day=$(ssh -i /home/{{ backup_master_user }}/{{ master_backup_key_file }} {{ backup_master_user }}@$1 stat -c %y {{ backup_base_dir }}/prod.$day_name.tar.gz | cut -d ' ' -f 1)

today=$(date '+%Y-%m-%d')

# check the file is correct
if [ "$file_day" = "$today" ]
then
    scp -p -i /home/{{ backup_master_user }}/{{ master_backup_key_file }} {{ backup_master_user }}@$1:{{ backup_base_dir }}/prod.$day_name.tar.gz {{ backup_master_slaves_location }}/$1/prod.$day_name.tar.gz
    chown {{ backup_master_user }}:{{ backup_master_user }} {{ backup_master_slaves_location }}/$1/prod.$day_name.tar.gz
else
    logger "backup file of the day not available : {{ backup_master_slaves_location }}/$1/prod.$day_name.tar.gz"
    exit 1
fi

